using System;
using System.Data;
using System.Data.SqlClient;
using Microsoft.SqlServer.Server;


public partial class Triggers
{
    public static void trgUpdatePerson()
    {
        SqlTriggerContext context = SqlContext.TriggerContext;
        string oldName = string.Empty;
        string newName = string.Empty;
        SqlConnection conn = new SqlConnection("context connection=true");
        SqlCommand cmOld = new SqlCommand(
                            "SELECT FirstName FROM DELETED", conn);
        SqlCommand cmNew = new SqlCommand(
                            "SELECT FirstName FROM INSERTED", conn);
        conn.Open();
        SqlDataReader drOld = cmOld.ExecuteReader();
        if (drOld.Read())
        {
            oldName = (string)drOld[0];
        }
        drOld.Close();
        SqlDataReader drNew = cmNew.ExecuteReader();
        if (drNew.Read())
        {
            newName = (string)drNew[0];
        }
        drNew.Close();
        conn.Close();
        SqlContext.Pipe.Send("Old Value of FirstName:" + oldName);
        SqlContext.Pipe.Send("New Value of FirstName:" + newName);
        for (int i = 0; i <= context.ColumnCount - 1; i++)
        {
            SqlContext.Pipe.Send("Column " + i.ToString() + ": " +
               context.IsUpdatedColumn(i).ToString());
        }
    }

    public static void trgCreateTable()
    {
        SqlTriggerContext context = SqlContext.TriggerContext;
        if (!(context.EventData == null))
        {
            SqlContext.Pipe.Send("Event Data: " + context.EventData.Value.ToString());
        }
    }

}
