using System;
using System.Data;
using System.Data.SqlClient;
using System.Transactions;
using TheRM;

namespace BigBang
{
  class Program
  {
    static void Main(string[] args)
    {
      const string ConnStr =
        "Data Source=(local);Initial Catalog=Test;user id=lenni;password=lenni";

      const string CmdText = "InsertRow";

      var vrm = new VolatileRM("RM1");
      Console.WriteLine("Member Value:" + vrm.MemberValue);

      using (var tsc = new TransactionScope())
      {
        using (var conn1 = new SqlConnection(ConnStr))
        {
          SqlCommand cmd1 = conn1.CreateCommand();
          cmd1.CommandText = CmdText;
          cmd1.CommandType = CommandType.StoredProcedure;
          conn1.Open();
          cmd1.ExecuteNonQuery();
        }
        vrm.MemberValue = 3;

        tsc.Complete();
      }

      Console.WriteLine("Member Value:" + vrm.MemberValue);
      Console.ReadKey();
    }
  }
}
